Foxit PDF RDK

List of all members
RMSSecurityCallback Class Reference
Inheritance diagram for RMSSecurityCallback:

## Additional Inherited Members
Public Member Functions inherited from CustomSecurityCallback
| CreateContext (filter, sub_filter, encrypt_info)
| A callback function used to create context for encryption and decryption. More...
| DecryptData (decryptor, encrypted_data, encrypted_data_len)
| A callback function used to decrypt the encrypted data. More...
| EncryptData (context, obj_num, gen_num, src_data, src_data_len)
| A callback function used to get encrypted data. More...
| FinishDecryptor (decryptor)
| A callback function used to finish the decryption. More...
| GetCipher (context)
| A callback function used to get the cipher type. More...
| GetDecryptedSize (context, src_data_size)
| A callback function used to get the estimated decrypted data size. More...
| GetEncryptedSize (context, obj_num, gen_num, src_data, src_data_len)
| A callback function used to get the estimated encrypted size. More...
| GetEncryptKey (context)
| A callback function used to get the encryption key. More...
| GetSecurityType ()
| Get the encryption type of security callback. More...
| GetUserPermissions (context, user_permission)
| A callback function used to get the user permissions. More...
| IsOwner (context)
| A callback function used to check if current user is the owner of the PDF document. More...
| ReleaseContext (context)
| A callback function used to release the context for encryption and decryption. More...
| StartDecryptor (context, obj_num, gen_num)
| A callback function used to start a decryption. More...
| UseStandardCryptoMethod (context)
| A callback function to check if to use standard crypto method or custom crypto method. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

This class represents a callback object for RMS decryption and encryption. If user wants to use RMS security callback, user should inherit this callback class and implement the pure virtual functions (as callback functions), and then register the RMS security callback object to Foxit PDF SDK by function Library.RegisterSecurityCallback with filter "MicrosoftIRMServices" or "FoxitRMS". Function Library.UnregisterSecurityCallback can be called to unregister the security callback object with the registered filter name.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.